# $Revision: 1.10 $, $Date: 2002/04/20 23:33:58 $
Summary:	A library for controlling and tracing dynamic memory allocations
Summary(pl):	Biblioteka do kontroli i ledzenia dynamicznej alokacji pamicie
Name:		dmalloc
Version:	4.8.2
Release:	2
License:	LGPL
Group:		Development/Debuggers
Source0:	http://download.sourceforge.net/dmalloc/%{name}-%{version}.tgz
Source1:	%{name}.1
Patch0:		%{name}-info.patch
Patch1:		%{name}-pic.patch
Patch2:		%{name}-4.8.2-pld_man.patch
URL:		http://dmalloc.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The debug memory allocation or "dmalloc" library has been designed as
a drop in replacement for the system's `malloc', `realloc', `calloc',
`free' and other memory management routines while providing powerful
debugging facilities configurable at runtime. These facilities include
such things as memory-leak tracking, fence-post write detection,
file/line number reporting, and general logging of statistics. It also
provides support for the debugging of threaded programs.

%description -l pl
Biblioteka do odpluskwiania programw zastpuje systemowe funkcje
takie jak `malloc', `realloc', `calloc', `free' i inne funkcje do
zarzdzania pamici. Moliwoci to wykrywanie wyciekw pamici,
wykrywanie zapisw poza zaalokowanym obszarem, informowanie o
pliku/numerze linii, w ktrej wystpuje problem oraz generalne
statystyki. Biblioteka umoliwia odpluskwianie programw wtkowych.

%package static
Summary:	Static dmalloc libraries
Summary(pl):	Biblioteki statyczne dmalloc
Group:		Development/Debuggers
Requires:	%{name} = %{version}

%description static
Static dmalloc libraries.

%description static -l pl
Biblioteki statyczne dmalloc.

%prep
%setup -q
install %{SOURCE1} .
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
aclocal
autoconf
%configure \
	--enable-cxx \
	--enable-threads \
	--enable-shlib

%{__make} dmalloc_t all light dmalloc.info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_mandir}/man1}

%{makeinstall} \
	installsl installcxx installth installinfo \
	shlibdir=$RPM_BUILD_ROOT%{_libdir} \
	incdir=$RPM_BUILD_ROOT%{_includedir}

install dmalloc.1 $RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf README NEWS ChangeLog

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man1/*
%{_infodir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dmalloc.spec,v $
Revision 1.10  2002/04/20 23:33:58  ankry
- added dmalloc.1 man page from Debian
- release 2

Revision 1.9  2002/04/10 19:48:29  kloczek
- added info patch with fix info index entry for dmalloc,
- merge pic patch drom rawhide (compile with -fPIC files for shared libraries),
- added static subpackage.

Revision 1.8  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:12:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/14 11:43:55  filon
- changed to %%%configure2_13, to make it build

Revision 1.4  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/05/06 22:24:00  misiek
nicer %install

Revision 1.1  2001/05/06 21:40:14  misiek
initial pld release


